.promo {
  opacity: 1;

  $parent: &;

  text-align: center;
  // background-color:#fff;

  @include breakpoint($medium) {
    text-align: left;
  }

  .promo__container {
    max-width: $article-width-inner;
    margin: 0 auto;
    position: relative;
    padding-top: 2rem;
    padding-bottom: 2rem;

    &:before {
      content: "";
      position: absolute;
      top: 0;
      left: 50%;
      transform: translateX(-50%);
      width: 100%;
      height: 1px;
      background: $border-color;
    }

    @include breakpoint($large) {
      &:before {
        width: $article-width-outer;
      }
    }
  }

  &__title {
    margin: 0;
    color: $color-heading;
    font-weight: 300;
    font-size: 18px;
    line-height: 1.1;
    @include font-archer-book;
  }

  &__icon {
    display: inline-block;
    vertical-align: middle;
    width: 80px;
    flex: 0 0 auto;

    @include breakpoint($medium) {
      margin-top: -1rem;
      margin-right: 1rem;
    }
  }

  &__body {
    padding: 1rem 1rem 2.5rem 1rem;

    @include breakpoint($medium) {
      padding: 0 1.5rem;
    }
  }

  @include breakpoint($medium) {
    &__main {
      display: flex;
      align-items: center;
    }

    &__footer {
      flex-shrink: 0;
    }

    .cta {
      margin: 0;
      min-width: 150px;
      max-width: 300px;
    }

    &__body {
      flex-grow: 1;
    }
  }

  &--noTopMargin {
    margin-top: 0;
    padding-top: 0;
  }

  &--noMargin {
    margin: 0;

    .promo__container {
      &:before {
        display: none;
      }
    }

    .promo__icon {
      margin-top: 0;
    }
  }
}
